using System;
using System.IO;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace MyNamespace
{
	/// <summary>
	///		Configuration form for XPCalc - Extra Precision Floating-Point Calculator
	///		Developed in TURBO Pascal 5.5 and 6.0, converted to Visual Basic 6
	///		and now in Visual C# .Net
	///
	/// ---------------- *** LEGAL NOTICE: *** ------------------
	///
	/// This program is free software; you can redistribute it and/or modify
	/// it under the terms of the GNU General Public License (GPL) as published
	/// by the Free Software Foundation. cf. the file COPYING.txt.
	///
	/// ------------ *** end of legal notice *** ------------------
	/// </summary>

	public class ConfigForm : Form
	{
		private System.ComponentModel.IContainer components;

		public ConfigForm()
		{
			InitializeComponent();

			// no constructor logic
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(ConfigForm));
			this.buttonAllowFHT = new System.Windows.Forms.Button();
			this.buttonAutoD = new System.Windows.Forms.Button();
			this.buttonBaseI = new System.Windows.Forms.Button();
			this.buttonBaseO = new System.Windows.Forms.Button();
			this.buttonChangeDir = new System.Windows.Forms.Button();
			this.buttonDegMode = new System.Windows.Forms.Button();
			this.buttonDiagOn = new System.Windows.Forms.Button();
			this.buttonExit = new System.Windows.Forms.Button();
			this.buttonFMC = new System.Windows.Forms.Button();
			this.buttonForceFHT = new System.Windows.Forms.Button();
			this.buttonFRound = new System.Windows.Forms.Button();
			this.buttonFTn = new System.Windows.Forms.Button();
			this.buttonLog = new System.Windows.Forms.Button();
			this.buttonMaxDis = new System.Windows.Forms.Button();
			this.buttonMMax = new System.Windows.Forms.Button();
			this.buttonMuDpG = new System.Windows.Forms.Button();
			this.buttonPri = new System.Windows.Forms.Button();
			this.buttonQuiet = new System.Windows.Forms.Button();
			this.buttonRestoreConfig = new System.Windows.Forms.Button();
			this.buttonSaveConfig = new System.Windows.Forms.Button();
			this.buttonSaveTop = new System.Windows.Forms.Button();
			this.buttonScieN = new System.Windows.Forms.Button();
			this.buttonSelectFile = new System.Windows.Forms.Button();
			this.buttonXPCIn = new System.Windows.Forms.Button();
			this.buttonXPLOut = new System.Windows.Forms.Button();
			this.buttonXPNIn = new System.Windows.Forms.Button();
			this.buttonXPNOut = new System.Windows.Forms.Button();
			this.folderBrowserDialogConfig = new System.Windows.Forms.FolderBrowserDialog();
			this.labelAllowFHT = new System.Windows.Forms.Label();
			this.labelAutoD = new System.Windows.Forms.Label();
			this.labelBaseI = new System.Windows.Forms.Label();
			this.labelBaseO = new System.Windows.Forms.Label();
			this.labelDegMode = new System.Windows.Forms.Label();
			this.labelDiagOn = new System.Windows.Forms.Label();
			this.labelFilePath = new System.Windows.Forms.Label();
			this.labelFMB = new System.Windows.Forms.Label();
			this.labelFMC = new System.Windows.Forms.Label();
			this.labelForceFHT = new System.Windows.Forms.Label();
			this.labelFRound = new System.Windows.Forms.Label();
			this.labelFTn = new System.Windows.Forms.Label();
			this.labelHomeDir = new System.Windows.Forms.Label();
			this.labelLog = new System.Windows.Forms.Label();
			this.labelLogName = new System.Windows.Forms.Label();
			this.labelMaxDis = new System.Windows.Forms.Label();
			this.labelMMax = new System.Windows.Forms.Label();
			this.labelMuDpG = new System.Windows.Forms.Label();
			this.labelPri = new System.Windows.Forms.Label();
			this.labelQuiet = new System.Windows.Forms.Label();
			this.labelSaveTop = new System.Windows.Forms.Label();
			this.labelScieN = new System.Windows.Forms.Label();
			this.labelSelectedFile = new System.Windows.Forms.Label();
			this.labelXPCIn = new System.Windows.Forms.Label();
			this.labelXPLOut = new System.Windows.Forms.Label();
			this.labelXPNIn = new System.Windows.Forms.Label();
			this.labelXPNOut = new System.Windows.Forms.Label();
			this.listBoxFile = new System.Windows.Forms.ListBox();
			this.openFileDialogConfig = new System.Windows.Forms.OpenFileDialog();
			this.richTextBoxFMB = new System.Windows.Forms.RichTextBox();
			this.textBoxBaseI = new System.Windows.Forms.TextBox();
			this.textBoxBaseO = new System.Windows.Forms.TextBox();
			this.textBoxFMC = new System.Windows.Forms.TextBox();
			this.textBoxFTn = new System.Windows.Forms.TextBox();
			this.textBoxMaxDis = new System.Windows.Forms.TextBox();
			this.textBoxMMax = new System.Windows.Forms.TextBox();
			this.textBoxMuDpG = new System.Windows.Forms.TextBox();
			this.textBoxPri = new System.Windows.Forms.TextBox();
			this.textBoxXPCIn = new System.Windows.Forms.TextBox();
			this.textBoxXPLOut = new System.Windows.Forms.TextBox();
			this.textBoxXPNIn = new System.Windows.Forms.TextBox();
			this.textBoxXPNOut = new System.Windows.Forms.TextBox();
			this.timerConfig = new System.Windows.Forms.Timer(this.components);
			this.SuspendLayout();
			// 
			// buttonAllowFHT
			// 
			this.buttonAllowFHT.Location = new System.Drawing.Point(432, 208);
			this.buttonAllowFHT.Name = "buttonAllowFHT";
			this.buttonAllowFHT.Size = new System.Drawing.Size(48, 21);
			this.buttonAllowFHT.TabIndex = 119;
			this.buttonAllowFHT.Text = "Off";
			this.buttonAllowFHT.Click += new System.EventHandler(this.buttonAllowFHT_Click);
			// 
			// buttonAutoD
			// 
			this.buttonAutoD.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonAutoD.Location = new System.Drawing.Point(240, 232);
			this.buttonAutoD.Name = "buttonAutoD";
			this.buttonAutoD.Size = new System.Drawing.Size(88, 21);
			this.buttonAutoD.TabIndex = 115;
			this.buttonAutoD.Text = "Is Off";
			this.buttonAutoD.Click += new System.EventHandler(this.buttonAutoD_Click);
			// 
			// buttonBaseI
			// 
			this.buttonBaseI.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonBaseI.Location = new System.Drawing.Point(428, 128);
			this.buttonBaseI.Name = "buttonBaseI";
			this.buttonBaseI.Size = new System.Drawing.Size(88, 21);
			this.buttonBaseI.TabIndex = 111;
			this.buttonBaseI.Text = "Change It";
			this.buttonBaseI.Click += new System.EventHandler(this.buttonBaseI_Click);
			// 
			// buttonBaseO
			// 
			this.buttonBaseO.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonBaseO.Location = new System.Drawing.Point(428, 152);
			this.buttonBaseO.Name = "buttonBaseO";
			this.buttonBaseO.Size = new System.Drawing.Size(88, 21);
			this.buttonBaseO.TabIndex = 112;
			this.buttonBaseO.Text = "Change It";
			this.buttonBaseO.Click += new System.EventHandler(this.buttonBaseO_Click);
			// 
			// buttonChangeDir
			// 
			this.buttonChangeDir.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonChangeDir.Location = new System.Drawing.Point(522, 104);
			this.buttonChangeDir.Name = "buttonChangeDir";
			this.buttonChangeDir.Size = new System.Drawing.Size(72, 48);
			this.buttonChangeDir.TabIndex = 136;
			this.buttonChangeDir.Text = "Change File Path";
			this.buttonChangeDir.Click += new System.EventHandler(this.buttonChangeDir_Click);
			// 
			// buttonDegMode
			// 
			this.buttonDegMode.Location = new System.Drawing.Point(560, 232);
			this.buttonDegMode.Name = "buttonDegMode";
			this.buttonDegMode.Size = new System.Drawing.Size(88, 21);
			this.buttonDegMode.TabIndex = 121;
			this.buttonDegMode.Text = "Is Off";
			this.buttonDegMode.Click += new System.EventHandler(this.buttonDegMode_Click);
			// 
			// buttonDiagOn
			// 
			this.buttonDiagOn.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonDiagOn.Location = new System.Drawing.Point(240, 208);
			this.buttonDiagOn.Name = "buttonDiagOn";
			this.buttonDiagOn.Size = new System.Drawing.Size(88, 21);
			this.buttonDiagOn.TabIndex = 114;
			this.buttonDiagOn.Text = "Is Off";
			this.buttonDiagOn.Click += new System.EventHandler(this.buttonDiagOn_Click);
			// 
			// buttonExit
			// 
			this.buttonExit.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonExit.Location = new System.Drawing.Point(600, 64);
			this.buttonExit.Name = "buttonExit";
			this.buttonExit.Size = new System.Drawing.Size(72, 24);
			this.buttonExit.TabIndex = 138;
			this.buttonExit.Text = "Exit";
			this.buttonExit.Click += new System.EventHandler(this.buttonExit_Click);
			// 
			// buttonFMC
			// 
			this.buttonFMC.Location = new System.Drawing.Point(428, 32);
			this.buttonFMC.Name = "buttonFMC";
			this.buttonFMC.Size = new System.Drawing.Size(88, 21);
			this.buttonFMC.TabIndex = 107;
			this.buttonFMC.Text = "Change It";
			this.buttonFMC.Click += new System.EventHandler(this.buttonFMC_Click);
			// 
			// buttonForceFHT
			// 
			this.buttonForceFHT.Location = new System.Drawing.Point(600, 208);
			this.buttonForceFHT.Name = "buttonForceFHT";
			this.buttonForceFHT.Size = new System.Drawing.Size(48, 21);
			this.buttonForceFHT.TabIndex = 120;
			this.buttonForceFHT.Text = "Off";
			this.buttonForceFHT.Click += new System.EventHandler(this.buttonForceFHT_Click);
			// 
			// buttonFRound
			// 
			this.buttonFRound.Location = new System.Drawing.Point(560, 256);
			this.buttonFRound.Name = "buttonFRound";
			this.buttonFRound.Size = new System.Drawing.Size(88, 21);
			this.buttonFRound.TabIndex = 122;
			this.buttonFRound.Text = "Is Off";
			this.buttonFRound.Click += new System.EventHandler(this.buttonFRound_Click);
			// 
			// buttonFTn
			// 
			this.buttonFTn.Location = new System.Drawing.Point(428, 80);
			this.buttonFTn.Name = "buttonFTn";
			this.buttonFTn.Size = new System.Drawing.Size(88, 22);
			this.buttonFTn.TabIndex = 109;
			this.buttonFTn.Text = "Change It";
			this.buttonFTn.Click += new System.EventHandler(this.buttonFTn_Click);
			// 
			// buttonLog
			// 
			this.buttonLog.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonLog.Location = new System.Drawing.Point(240, 304);
			this.buttonLog.Name = "buttonLog";
			this.buttonLog.Size = new System.Drawing.Size(88, 21);
			this.buttonLog.TabIndex = 118;
			this.buttonLog.Text = "Is Off";
			this.buttonLog.Click += new System.EventHandler(this.buttonLog_Click);
			// 
			// buttonMaxDis
			// 
			this.buttonMaxDis.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonMaxDis.Location = new System.Drawing.Point(428, 56);
			this.buttonMaxDis.Name = "buttonMaxDis";
			this.buttonMaxDis.Size = new System.Drawing.Size(88, 21);
			this.buttonMaxDis.TabIndex = 108;
			this.buttonMaxDis.Text = "Change It";
			this.buttonMaxDis.Click += new System.EventHandler(this.buttonMaxDis_Click);
			// 
			// buttonMMax
			// 
			this.buttonMMax.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonMMax.Location = new System.Drawing.Point(428, 6);
			this.buttonMMax.Name = "buttonMMax";
			this.buttonMMax.Size = new System.Drawing.Size(88, 21);
			this.buttonMMax.TabIndex = 106;
			this.buttonMMax.Text = "Change It";
			this.buttonMMax.Click += new System.EventHandler(this.buttonMMax_Click);
			// 
			// buttonMuDpG
			// 
			this.buttonMuDpG.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonMuDpG.Location = new System.Drawing.Point(428, 104);
			this.buttonMuDpG.Name = "buttonMuDpG";
			this.buttonMuDpG.Size = new System.Drawing.Size(88, 21);
			this.buttonMuDpG.TabIndex = 110;
			this.buttonMuDpG.Text = "Change It";
			this.buttonMuDpG.Click += new System.EventHandler(this.buttonMuDpG_Click);
			// 
			// buttonPri
			// 
			this.buttonPri.Location = new System.Drawing.Point(428, 176);
			this.buttonPri.Name = "buttonPri";
			this.buttonPri.Size = new System.Drawing.Size(88, 21);
			this.buttonPri.TabIndex = 113;
			this.buttonPri.Text = "Change It";
			this.buttonPri.Click += new System.EventHandler(this.buttonPri_Click);
			// 
			// buttonQuiet
			// 
			this.buttonQuiet.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonQuiet.Location = new System.Drawing.Point(240, 280);
			this.buttonQuiet.Name = "buttonQuiet";
			this.buttonQuiet.Size = new System.Drawing.Size(88, 21);
			this.buttonQuiet.TabIndex = 117;
			this.buttonQuiet.Text = "Is Off";
			this.buttonQuiet.Click += new System.EventHandler(this.buttonQuiet_Click);
			// 
			// buttonRestoreConfig
			// 
			this.buttonRestoreConfig.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonRestoreConfig.Location = new System.Drawing.Point(522, 56);
			this.buttonRestoreConfig.Name = "buttonRestoreConfig";
			this.buttonRestoreConfig.Size = new System.Drawing.Size(72, 40);
			this.buttonRestoreConfig.TabIndex = 135;
			this.buttonRestoreConfig.Text = "Restore Config";
			this.buttonRestoreConfig.Click += new System.EventHandler(this.buttonRestoreConfig_Click);
			// 
			// buttonSaveConfig
			// 
			this.buttonSaveConfig.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonSaveConfig.Location = new System.Drawing.Point(522, 10);
			this.buttonSaveConfig.Name = "buttonSaveConfig";
			this.buttonSaveConfig.Size = new System.Drawing.Size(72, 40);
			this.buttonSaveConfig.TabIndex = 134;
			this.buttonSaveConfig.Text = "Save Config";
			this.buttonSaveConfig.Click += new System.EventHandler(this.buttonSaveConfig_Click);
			// 
			// buttonSaveTop
			// 
			this.buttonSaveTop.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonSaveTop.Location = new System.Drawing.Point(240, 256);
			this.buttonSaveTop.Name = "buttonSaveTop";
			this.buttonSaveTop.Size = new System.Drawing.Size(88, 21);
			this.buttonSaveTop.TabIndex = 116;
			this.buttonSaveTop.Text = "Is Off";
			this.buttonSaveTop.Click += new System.EventHandler(this.buttonSaveTop_Click);
			// 
			// buttonScieN
			// 
			this.buttonScieN.Location = new System.Drawing.Point(560, 280);
			this.buttonScieN.Name = "buttonScieN";
			this.buttonScieN.Size = new System.Drawing.Size(88, 21);
			this.buttonScieN.TabIndex = 123;
			this.buttonScieN.Text = "Is Off";
			this.buttonScieN.Click += new System.EventHandler(this.buttonScieN_Click);
			// 
			// buttonSelectFile
			// 
			this.buttonSelectFile.Location = new System.Drawing.Point(600, 103);
			this.buttonSelectFile.Name = "buttonSelectFile";
			this.buttonSelectFile.Size = new System.Drawing.Size(72, 48);
			this.buttonSelectFile.TabIndex = 137;
			this.buttonSelectFile.Text = "Select a File";
			this.buttonSelectFile.Click += new System.EventHandler(this.buttonSelectFile_Click);
			// 
			// buttonXPCIn
			// 
			this.buttonXPCIn.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonXPCIn.Location = new System.Drawing.Point(120, 424);
			this.buttonXPCIn.Name = "buttonXPCIn";
			this.buttonXPCIn.Size = new System.Drawing.Size(112, 21);
			this.buttonXPCIn.TabIndex = 124;
			this.buttonXPCIn.Text = "Change It";
			this.buttonXPCIn.Click += new System.EventHandler(this.buttonXPCIn_Click);
			// 
			// buttonXPLOut
			// 
			this.buttonXPLOut.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonXPLOut.Location = new System.Drawing.Point(128, 464);
			this.buttonXPLOut.Name = "buttonXPLOut";
			this.buttonXPLOut.Size = new System.Drawing.Size(104, 21);
			this.buttonXPLOut.TabIndex = 125;
			this.buttonXPLOut.Text = "Change It";
			this.buttonXPLOut.Click += new System.EventHandler(this.buttonXPLOut_Click);
			// 
			// buttonXPNIn
			// 
			this.buttonXPNIn.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonXPNIn.Location = new System.Drawing.Point(128, 504);
			this.buttonXPNIn.Name = "buttonXPNIn";
			this.buttonXPNIn.Size = new System.Drawing.Size(104, 21);
			this.buttonXPNIn.TabIndex = 126;
			this.buttonXPNIn.Text = "Change It";
			this.buttonXPNIn.Click += new System.EventHandler(this.buttonXPNIn_Click);
			// 
			// buttonXPNOut
			// 
			this.buttonXPNOut.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.buttonXPNOut.Location = new System.Drawing.Point(128, 544);
			this.buttonXPNOut.Name = "buttonXPNOut";
			this.buttonXPNOut.Size = new System.Drawing.Size(104, 21);
			this.buttonXPNOut.TabIndex = 127;
			this.buttonXPNOut.Text = "Change It";
			this.buttonXPNOut.Click += new System.EventHandler(this.buttonXPNOut_Click);
			// 
			// labelAllowFHT
			// 
			this.labelAllowFHT.Location = new System.Drawing.Point(344, 208);
			this.labelAllowFHT.Name = "labelAllowFHT";
			this.labelAllowFHT.Size = new System.Drawing.Size(88, 23);
			this.labelAllowFHT.TabIndex = 63;
			this.labelAllowFHT.Text = "Allow FHT:";
			// 
			// labelAutoD
			// 
			this.labelAutoD.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelAutoD.Location = new System.Drawing.Point(96, 232);
			this.labelAutoD.Name = "labelAutoD";
			this.labelAutoD.Size = new System.Drawing.Size(144, 16);
			this.labelAutoD.TabIndex = 6;
			this.labelAutoD.Text = "AutoDisplay mode:";
			// 
			// labelBaseI
			// 
			this.labelBaseI.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelBaseI.Location = new System.Drawing.Point(72, 128);
			this.labelBaseI.Name = "labelBaseI";
			this.labelBaseI.Size = new System.Drawing.Size(256, 23);
			this.labelBaseI.TabIndex = 3;
			this.labelBaseI.Text = "Input base = 36 (max digit = z)";
			// 
			// labelBaseO
			// 
			this.labelBaseO.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelBaseO.Location = new System.Drawing.Point(64, 152);
			this.labelBaseO.Name = "labelBaseO";
			this.labelBaseO.Size = new System.Drawing.Size(264, 23);
			this.labelBaseO.TabIndex = 4;
			this.labelBaseO.Text = "Output base = 36 (max digit = z)";
			// 
			// labelDegMode
			// 
			this.labelDegMode.Location = new System.Drawing.Point(456, 232);
			this.labelDegMode.Name = "labelDegMode";
			this.labelDegMode.Size = new System.Drawing.Size(104, 16);
			this.labelDegMode.TabIndex = 57;
			this.labelDegMode.Text = "Degree Mode:";
			// 
			// labelDiagOn
			// 
			this.labelDiagOn.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelDiagOn.Location = new System.Drawing.Point(104, 208);
			this.labelDiagOn.Name = "labelDiagOn";
			this.labelDiagOn.Size = new System.Drawing.Size(136, 23);
			this.labelDiagOn.TabIndex = 5;
			this.labelDiagOn.Text = "Diagnostic mode:";
			// 
			// labelFilePath
			// 
			this.labelFilePath.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelFilePath.Location = new System.Drawing.Point(24, 360);
			this.labelFilePath.Name = "labelFilePath";
			this.labelFilePath.Size = new System.Drawing.Size(632, 16);
			this.labelFilePath.TabIndex = 11;
			this.labelFilePath.Text = "File path: C:\\MMMMMMMMMMMM\\MMMMMMMMMM\\MMMMMMMMMMM\\MMMMMMMMM\\MMMMMM\\MMMMM";
			// 
			// labelFMB
			// 
			this.labelFMB.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelFMB.Location = new System.Drawing.Point(8, 552);
			this.labelFMB.Name = "labelFMB";
			this.labelFMB.Size = new System.Drawing.Size(104, 16);
			this.labelFMB.TabIndex = 16;
			this.labelFMB.Text = "Modulo base:";
			// 
			// labelFMC
			// 
			this.labelFMC.Location = new System.Drawing.Point(24, 32);
			this.labelFMC.Name = "labelFMC";
			this.labelFMC.Size = new System.Drawing.Size(317, 16);
			this.labelFMC.TabIndex = 49;
			this.labelFMC.Text = "Decimal digits in mantissa = XXXXXXXXX";
			// 
			// labelForceFHT
			// 
			this.labelForceFHT.Location = new System.Drawing.Point(512, 208);
			this.labelForceFHT.Name = "labelForceFHT";
			this.labelForceFHT.Size = new System.Drawing.Size(88, 23);
			this.labelForceFHT.TabIndex = 64;
			this.labelForceFHT.Text = "Force FHT:";
			// 
			// labelFRound
			// 
			this.labelFRound.Location = new System.Drawing.Point(440, 256);
			this.labelFRound.Name = "labelFRound";
			this.labelFRound.Size = new System.Drawing.Size(120, 16);
			this.labelFRound.TabIndex = 56;
			this.labelFRound.Text = "Rounding mode:";
			// 
			// labelFTn
			// 
			this.labelFTn.Location = new System.Drawing.Point(0, 80);
			this.labelFTn.Name = "labelFTn";
			this.labelFTn.Size = new System.Drawing.Size(341, 16);
			this.labelFTn.TabIndex = 52;
			this.labelFTn.Text = "Digits to truncate in display = XXXXXXXXX";
			// 
			// labelHomeDir
			// 
			this.labelHomeDir.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelHomeDir.Location = new System.Drawing.Point(32, 336);
			this.labelHomeDir.Name = "labelHomeDir";
			this.labelHomeDir.Size = new System.Drawing.Size(624, 16);
			this.labelHomeDir.TabIndex = 10;
			this.labelHomeDir.Text = "Home Dir: C:\\MMMMMMMMMMMM\\MMMMMMMMMM\\MMMMMMMMMMM\\MMMMMMMMM\\MMMMMM\\MMMMM";
			// 
			// labelLog
			// 
			this.labelLog.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelLog.Location = new System.Drawing.Point(96, 304);
			this.labelLog.Name = "labelLog";
			this.labelLog.Size = new System.Drawing.Size(144, 16);
			this.labelLog.TabIndex = 9;
			this.labelLog.Text = "Log to file mode:";
			// 
			// labelLogName
			// 
			this.labelLogName.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelLogName.Location = new System.Drawing.Point(336, 304);
			this.labelLogName.Name = "labelLogName";
			this.labelLogName.Size = new System.Drawing.Size(320, 16);
			this.labelLogName.TabIndex = 17;
			this.labelLogName.Text = "Log: NoNameXXXXXXXXXX.XPL";
			// 
			// labelMaxDis
			// 
			this.labelMaxDis.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelMaxDis.Location = new System.Drawing.Point(64, 56);
			this.labelMaxDis.Name = "labelMaxDis";
			this.labelMaxDis.Size = new System.Drawing.Size(277, 16);
			this.labelMaxDis.TabIndex = 1;
			this.labelMaxDis.Text = "Max digits in display = XXXXXXXXX";
			// 
			// labelMMax
			// 
			this.labelMMax.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelMMax.Location = new System.Drawing.Point(24, 8);
			this.labelMMax.Name = "labelMMax";
			this.labelMMax.Size = new System.Drawing.Size(317, 16);
			this.labelMMax.TabIndex = 0;
			this.labelMMax.Text = "Max decimal digits allowed = XXXXXXXXX";
			// 
			// labelMuDpG
			// 
			this.labelMuDpG.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelMuDpG.Location = new System.Drawing.Point(16, 104);
			this.labelMuDpG.Name = "labelMuDpG";
			this.labelMuDpG.Size = new System.Drawing.Size(325, 23);
			this.labelMuDpG.TabIndex = 2;
			this.labelMuDpG.Text = "Digits per group in display = XXXXXXXXX";
			// 
			// labelPri
			// 
			this.labelPri.Location = new System.Drawing.Point(72, 176);
			this.labelPri.Name = "labelPri";
			this.labelPri.Size = new System.Drawing.Size(256, 23);
			this.labelPri.TabIndex = 139;
			this.labelPri.Text = "Execution Priority [-2, 2] = -2";
			// 
			// labelQuiet
			// 
			this.labelQuiet.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelQuiet.Location = new System.Drawing.Point(144, 280);
			this.labelQuiet.Name = "labelQuiet";
			this.labelQuiet.Size = new System.Drawing.Size(96, 16);
			this.labelQuiet.TabIndex = 8;
			this.labelQuiet.Text = "Quiet mode:";
			// 
			// labelSaveTop
			// 
			this.labelSaveTop.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelSaveTop.Location = new System.Drawing.Point(88, 256);
			this.labelSaveTop.Name = "labelSaveTop";
			this.labelSaveTop.Size = new System.Drawing.Size(152, 16);
			this.labelSaveTop.TabIndex = 7;
			this.labelSaveTop.Text = "Save LastTop mode:";
			// 
			// labelScieN
			// 
			this.labelScieN.Location = new System.Drawing.Point(392, 280);
			this.labelScieN.Name = "labelScieN";
			this.labelScieN.Size = new System.Drawing.Size(168, 16);
			this.labelScieN.TabIndex = 55;
			this.labelScieN.Text = "Scientific notation:";
			// 
			// labelSelectedFile
			// 
			this.labelSelectedFile.Location = new System.Drawing.Point(120, 384);
			this.labelSelectedFile.Name = "labelSelectedFile";
			this.labelSelectedFile.Size = new System.Drawing.Size(352, 16);
			this.labelSelectedFile.TabIndex = 48;
			this.labelSelectedFile.Text = "Selected file: NoName.XPL";
			// 
			// labelXPCIn
			// 
			this.labelXPCIn.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelXPCIn.Location = new System.Drawing.Point(16, 408);
			this.labelXPCIn.Name = "labelXPCIn";
			this.labelXPCIn.Size = new System.Drawing.Size(456, 16);
			this.labelXPCIn.TabIndex = 12;
			this.labelXPCIn.Text = "Calculator code file XPCIn: <Not set>";
			// 
			// labelXPLOut
			// 
			this.labelXPLOut.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelXPLOut.Location = new System.Drawing.Point(48, 448);
			this.labelXPLOut.Name = "labelXPLOut";
			this.labelXPLOut.Size = new System.Drawing.Size(424, 16);
			this.labelXPLOut.TabIndex = 13;
			this.labelXPLOut.Text = "Output log file XPLOut: <Not set>";
			// 
			// labelXPNIn
			// 
			this.labelXPNIn.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelXPNIn.Location = new System.Drawing.Point(40, 488);
			this.labelXPNIn.Name = "labelXPNIn";
			this.labelXPNIn.Size = new System.Drawing.Size(432, 16);
			this.labelXPNIn.TabIndex = 14;
			this.labelXPNIn.Text = "Input number file XPNIn: <Not set>";
			// 
			// labelXPNOut
			// 
			this.labelXPNOut.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.labelXPNOut.Location = new System.Drawing.Point(24, 528);
			this.labelXPNOut.Name = "labelXPNOut";
			this.labelXPNOut.Size = new System.Drawing.Size(448, 16);
			this.labelXPNOut.TabIndex = 15;
			this.labelXPNOut.Text = "Output number file XPNOut: <Not set>";
			// 
			// listBoxFile
			// 
			this.listBoxFile.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.listBoxFile.ItemHeight = 16;
			this.listBoxFile.Location = new System.Drawing.Point(478, 384);
			this.listBoxFile.Name = "listBoxFile";
			this.listBoxFile.ScrollAlwaysVisible = true;
			this.listBoxFile.Size = new System.Drawing.Size(200, 212);
			this.listBoxFile.TabIndex = 132;
			this.listBoxFile.SelectedIndexChanged += new System.EventHandler(this.listBoxFile_SelectedIndexChanged);
			// 
			// openFileDialogConfig
			// 
			this.openFileDialogConfig.Title = "<Title ?>";
			// 
			// richTextBoxFMB
			// 
			this.richTextBoxFMB.BackColor = System.Drawing.SystemColors.Window;
			this.richTextBoxFMB.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.richTextBoxFMB.Location = new System.Drawing.Point(16, 568);
			this.richTextBoxFMB.Name = "richTextBoxFMB";
			this.richTextBoxFMB.ReadOnly = true;
			this.richTextBoxFMB.ScrollBars = System.Windows.Forms.RichTextBoxScrollBars.ForcedVertical;
			this.richTextBoxFMB.Size = new System.Drawing.Size(456, 37);
			this.richTextBoxFMB.TabIndex = 133;
			this.richTextBoxFMB.Text = "111111111111111111111111111111111111111111111111111111111111";
			// 
			// textBoxBaseI
			// 
			this.textBoxBaseI.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.textBoxBaseI.Location = new System.Drawing.Point(339, 128);
			this.textBoxBaseI.Name = "textBoxBaseI";
			this.textBoxBaseI.Size = new System.Drawing.Size(83, 22);
			this.textBoxBaseI.TabIndex = 103;
			this.textBoxBaseI.TextChanged += new System.EventHandler(this.textBoxBaseI_TextChanged);
			this.textBoxBaseI.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxBaseI_KeyDown);
			// 
			// textBoxBaseO
			// 
			this.textBoxBaseO.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.textBoxBaseO.Location = new System.Drawing.Point(339, 153);
			this.textBoxBaseO.Name = "textBoxBaseO";
			this.textBoxBaseO.Size = new System.Drawing.Size(83, 22);
			this.textBoxBaseO.TabIndex = 104;
			this.textBoxBaseO.TextChanged += new System.EventHandler(this.textBoxBaseO_TextChanged);
			this.textBoxBaseO.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxBaseO_KeyDown);
			// 
			// textBoxFMC
			// 
			this.textBoxFMC.Location = new System.Drawing.Point(339, 32);
			this.textBoxFMC.Name = "textBoxFMC";
			this.textBoxFMC.Size = new System.Drawing.Size(83, 22);
			this.textBoxFMC.TabIndex = 99;
			this.textBoxFMC.TextChanged += new System.EventHandler(this.textBoxFMC_TextChanged);
			this.textBoxFMC.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxFMC_KeyDown);
			// 
			// textBoxFTn
			// 
			this.textBoxFTn.Location = new System.Drawing.Point(339, 80);
			this.textBoxFTn.Name = "textBoxFTn";
			this.textBoxFTn.Size = new System.Drawing.Size(83, 22);
			this.textBoxFTn.TabIndex = 101;
			this.textBoxFTn.TextChanged += new System.EventHandler(this.textBoxFTn_TextChanged);
			this.textBoxFTn.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxFTn_KeyDown);
			// 
			// textBoxMaxDis
			// 
			this.textBoxMaxDis.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.textBoxMaxDis.Location = new System.Drawing.Point(339, 55);
			this.textBoxMaxDis.Name = "textBoxMaxDis";
			this.textBoxMaxDis.Size = new System.Drawing.Size(83, 22);
			this.textBoxMaxDis.TabIndex = 100;
			this.textBoxMaxDis.TextChanged += new System.EventHandler(this.textBoxMaxDis_TextChanged);
			this.textBoxMaxDis.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxMaxDis_KeyDown);
			// 
			// textBoxMMax
			// 
			this.textBoxMMax.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.textBoxMMax.Location = new System.Drawing.Point(339, 6);
			this.textBoxMMax.Name = "textBoxMMax";
			this.textBoxMMax.Size = new System.Drawing.Size(83, 22);
			this.textBoxMMax.TabIndex = 98;
			this.textBoxMMax.TextChanged += new System.EventHandler(this.textBoxMMax_TextChanged);
			this.textBoxMMax.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxMMax_KeyDown);
			// 
			// textBoxMuDpG
			// 
			this.textBoxMuDpG.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.textBoxMuDpG.Location = new System.Drawing.Point(339, 103);
			this.textBoxMuDpG.Name = "textBoxMuDpG";
			this.textBoxMuDpG.Size = new System.Drawing.Size(83, 22);
			this.textBoxMuDpG.TabIndex = 102;
			this.textBoxMuDpG.TextChanged += new System.EventHandler(this.textBoxMuDpG_TextChanged);
			this.textBoxMuDpG.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxMuDpG_KeyDown);
			// 
			// textBoxPri
			// 
			this.textBoxPri.Location = new System.Drawing.Point(339, 176);
			this.textBoxPri.Name = "textBoxPri";
			this.textBoxPri.Size = new System.Drawing.Size(83, 22);
			this.textBoxPri.TabIndex = 105;
			this.textBoxPri.TextChanged += new System.EventHandler(this.textBoxPri_TextChanged);
			this.textBoxPri.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxPri_KeyDown);
			// 
			// textBoxXPCIn
			// 
			this.textBoxXPCIn.Location = new System.Drawing.Point(240, 424);
			this.textBoxXPCIn.Name = "textBoxXPCIn";
			this.textBoxXPCIn.Size = new System.Drawing.Size(232, 22);
			this.textBoxXPCIn.TabIndex = 128;
			this.textBoxXPCIn.TextChanged += new System.EventHandler(this.textBoxXPCIn_TextChanged);
			this.textBoxXPCIn.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxXPCIn_KeyDown);
			// 
			// textBoxXPLOut
			// 
			this.textBoxXPLOut.Location = new System.Drawing.Point(240, 464);
			this.textBoxXPLOut.Name = "textBoxXPLOut";
			this.textBoxXPLOut.Size = new System.Drawing.Size(232, 22);
			this.textBoxXPLOut.TabIndex = 129;
			this.textBoxXPLOut.TextChanged += new System.EventHandler(this.textBoxXPLOut_TextChanged);
			this.textBoxXPLOut.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxXPLOut_KeyDown);
			// 
			// textBoxXPNIn
			// 
			this.textBoxXPNIn.Location = new System.Drawing.Point(240, 504);
			this.textBoxXPNIn.Name = "textBoxXPNIn";
			this.textBoxXPNIn.Size = new System.Drawing.Size(232, 22);
			this.textBoxXPNIn.TabIndex = 130;
			this.textBoxXPNIn.TextChanged += new System.EventHandler(this.textBoxXPNIn_TextChanged);
			this.textBoxXPNIn.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxXPNIn_KeyDown);
			// 
			// textBoxXPNOut
			// 
			this.textBoxXPNOut.Location = new System.Drawing.Point(240, 544);
			this.textBoxXPNOut.Name = "textBoxXPNOut";
			this.textBoxXPNOut.Size = new System.Drawing.Size(232, 22);
			this.textBoxXPNOut.TabIndex = 131;
			this.textBoxXPNOut.TextChanged += new System.EventHandler(this.textBoxXPNOut_TextChanged);
			this.textBoxXPNOut.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxXPNOut_KeyDown);
			// 
			// timerConfig
			// 
			this.timerConfig.Enabled = true;
			this.timerConfig.Interval = 500;
			this.timerConfig.Tick += new System.EventHandler(this.timerConfig_Tick);
			// 
			// ConfigForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(8, 15);
			this.ClientSize = new System.Drawing.Size(679, 606);
			this.Controls.Add(this.buttonPri);
			this.Controls.Add(this.textBoxPri);
			this.Controls.Add(this.labelPri);
			this.Controls.Add(this.labelForceFHT);
			this.Controls.Add(this.labelAllowFHT);
			this.Controls.Add(this.buttonForceFHT);
			this.Controls.Add(this.buttonAllowFHT);
			this.Controls.Add(this.buttonDegMode);
			this.Controls.Add(this.buttonFRound);
			this.Controls.Add(this.buttonScieN);
			this.Controls.Add(this.labelDegMode);
			this.Controls.Add(this.labelFRound);
			this.Controls.Add(this.labelScieN);
			this.Controls.Add(this.buttonFTn);
			this.Controls.Add(this.textBoxFTn);
			this.Controls.Add(this.textBoxFMC);
			this.Controls.Add(this.textBoxXPNOut);
			this.Controls.Add(this.textBoxXPNIn);
			this.Controls.Add(this.textBoxXPLOut);
			this.Controls.Add(this.textBoxXPCIn);
			this.Controls.Add(this.textBoxBaseO);
			this.Controls.Add(this.textBoxBaseI);
			this.Controls.Add(this.textBoxMuDpG);
			this.Controls.Add(this.textBoxMaxDis);
			this.Controls.Add(this.textBoxMMax);
			this.Controls.Add(this.labelFTn);
			this.Controls.Add(this.buttonFMC);
			this.Controls.Add(this.labelFMC);
			this.Controls.Add(this.labelSelectedFile);
			this.Controls.Add(this.buttonSelectFile);
			this.Controls.Add(this.buttonExit);
			this.Controls.Add(this.buttonChangeDir);
			this.Controls.Add(this.buttonRestoreConfig);
			this.Controls.Add(this.buttonSaveConfig);
			this.Controls.Add(this.buttonXPNOut);
			this.Controls.Add(this.buttonXPNIn);
			this.Controls.Add(this.buttonXPLOut);
			this.Controls.Add(this.buttonXPCIn);
			this.Controls.Add(this.buttonLog);
			this.Controls.Add(this.buttonQuiet);
			this.Controls.Add(this.buttonSaveTop);
			this.Controls.Add(this.buttonAutoD);
			this.Controls.Add(this.buttonDiagOn);
			this.Controls.Add(this.buttonBaseO);
			this.Controls.Add(this.buttonBaseI);
			this.Controls.Add(this.buttonMuDpG);
			this.Controls.Add(this.buttonMaxDis);
			this.Controls.Add(this.buttonMMax);
			this.Controls.Add(this.listBoxFile);
			this.Controls.Add(this.richTextBoxFMB);
			this.Controls.Add(this.labelLogName);
			this.Controls.Add(this.labelFMB);
			this.Controls.Add(this.labelXPNOut);
			this.Controls.Add(this.labelXPNIn);
			this.Controls.Add(this.labelXPLOut);
			this.Controls.Add(this.labelXPCIn);
			this.Controls.Add(this.labelFilePath);
			this.Controls.Add(this.labelHomeDir);
			this.Controls.Add(this.labelLog);
			this.Controls.Add(this.labelQuiet);
			this.Controls.Add(this.labelSaveTop);
			this.Controls.Add(this.labelAutoD);
			this.Controls.Add(this.labelDiagOn);
			this.Controls.Add(this.labelBaseO);
			this.Controls.Add(this.labelBaseI);
			this.Controls.Add(this.labelMuDpG);
			this.Controls.Add(this.labelMaxDis);
			this.Controls.Add(this.labelMMax);
			this.Font = new System.Drawing.Font("Courier New", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "ConfigForm";
			this.Text = "ConfigForm";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.ConfigForm_Closing);
			this.ResumeLayout(false);
			this.PerformLayout();

		}
		#endregion

		private Button buttonAllowFHT;
		private Button buttonAutoD;
		private Button buttonBaseI;
		private Button buttonBaseO;
		private Button buttonChangeDir;
		private Button buttonDegMode;
		private Button buttonDiagOn;
		private Button buttonExit;
		private Button buttonFMC;
		private Button buttonForceFHT;
		private Button buttonFRound;
		private Button buttonFTn;
		private Button buttonLog;
		private Button buttonMaxDis;
		private Button buttonMMax;
		private Button buttonMuDpG;
		private Button buttonPri;
		private Button buttonQuiet;
		private Button buttonRestoreConfig;
		private Button buttonSaveConfig;
		private Button buttonSaveTop;
		private Button buttonScieN;
		private Button buttonSelectFile;
		private Button buttonXPCIn;
		private Button buttonXPLOut;
		private Button buttonXPNIn;
		private Button buttonXPNOut;
		private FolderBrowserDialog folderBrowserDialogConfig;
		private Label labelAllowFHT;
		private Label labelAutoD;
		private Label labelBaseI;
		private Label labelBaseO;
		private Label labelDegMode;
		private Label labelDiagOn;
		private Label labelFilePath;
		private Label labelFMB;
		private Label labelFMC;
		private Label labelForceFHT;
		private Label labelFRound;
		private Label labelFTn;
		private Label labelHomeDir;
		private Label labelLog;
		private Label labelLogName;
		private Label labelMaxDis;
		private Label labelMMax;
		private Label labelMuDpG;
		private Label labelPri;
		private Label labelQuiet;
		private Label labelSaveTop;
		private Label labelScieN;
		private Label labelSelectedFile;
		private Label labelXPCIn;
		private Label labelXPLOut;
		private Label labelXPNIn;
		private Label labelXPNOut;
		private ListBox listBoxFile;
		private OpenFileDialog openFileDialogConfig;
		private RichTextBox richTextBoxFMB;
		private TextBox textBoxBaseI;
		private TextBox textBoxBaseO;
		private TextBox textBoxFMC;
		private TextBox textBoxFTn;
		private TextBox textBoxMaxDis;
		private TextBox textBoxMMax;
		private TextBox textBoxMuDpG;
		private TextBox textBoxPri;
		private TextBox textBoxXPCIn;
		private TextBox textBoxXPLOut;
		private TextBox textBoxXPNIn;
		private TextBox textBoxXPNOut;
		private Timer timerConfig;

		// -------- Begin Main program, Configuration
		public void Config()
		{
			// don't allow Config form to be brought up more than once
			if (Common.configUp) { Dispose(true); return; }
			Common.configUp = true;
			this.Text = Global.title + " - Configuration";
			labelHomeDir.Text = "Home Dir: " + Common.homeDir;
			timerConfig_Tick();
			DisplayFMB();
			textBoxMMax.Focus();
			GetFileNames();
		}

		private void GetFileNames() // populate the listBoxFile with file names
		{
			try
			{
				DirectoryInfo di = new DirectoryInfo(Environment.CurrentDirectory);
				listBoxFile.Items.Clear();
				string filter = "*.XP?";
				if (Common.selectFilter == 2) filter = "*.txt";
				if (Common.selectFilter > 2) filter = "*.*";
				foreach (FileInfo FI in di.GetFiles(filter))
				{
					listBoxFile.Items.Add(FI.Name);
				}
			}
			catch (Exception ex)
			{
				Common.ReportError("GetFileNames:", ex.Message);
			}
		}

		private void buttonAllowFHT_Click(object sender, System.EventArgs e)
		{
			MultiID.allowFHT = !MultiID.allowFHT;
			if (!MultiID.allowFHT) MultiID.forceFHT = false;
			DisplayAllowFHT();
			DisplayForceFHT();
		}

		private void buttonAutoD_Click(object sender, System.EventArgs e)
		// toggle AutoDisplay mode
		{
			Common.autoD = !Common.autoD;
			DisplayAutoD();
		}

		private void buttonBaseI_Click(object sender, System.EventArgs e) // change baseI
		{
			buttonBaseI_Click();
		}

		private void buttonBaseI_Click() // change baseI
		{
			int iL;
			if (textBoxBaseI.Text == "")
				textBoxBaseI.Text = MultiID.baseI.ToString(); // if "", set to current
			iL = Convert.ToInt32(textBoxBaseI.Text);
			if (iL < 2) iL = 10;
			if (iL > 36) iL = 36;
			MultiID.baseI = iL;
			DisplayBaseI();
			textBoxBaseI.Text = MultiID.baseI.ToString();
			textBoxBaseI.Focus();
			textBoxBaseI.SelectionStart = textBoxBaseI.Text.Length;
		}

		private void buttonBaseO_Click(object sender, System.EventArgs e) // change baseO
		{
			buttonBaseO_Click();
		}

		private void buttonBaseO_Click() // change baseO
		{
			int iL;
			if (textBoxBaseO.Text == "")
				textBoxBaseO.Text = MultiID.baseO.ToString(); // if "", set to current
			iL = Convert.ToInt32(textBoxBaseO.Text);
			if (iL < 2) iL = 10;
			if (iL > 36) iL = 36;
			MultiID.baseO = iL;
			DisplayBaseO();
			textBoxBaseO.Text = MultiID.baseO.ToString();
			textBoxBaseO.Focus();
			textBoxBaseO.SelectionStart = textBoxBaseO.Text.Length;
			DisplayFMB();
		}

		private void buttonChangeDir_Click(object sender, System.EventArgs e)
		// bring up folderBrowserDialog
		{
			folderBrowserDialogConfig.SelectedPath = Environment.CurrentDirectory;
			folderBrowserDialogConfig.Description = Global.title + " - Select a file path";
			folderBrowserDialogConfig.ShowDialog();
			Directory.SetCurrentDirectory(folderBrowserDialogConfig.SelectedPath);
			Common.selectPath = Environment.CurrentDirectory;
			GetFileNames();
		}

		private void buttonDegMode_Click(object sender, System.EventArgs e)
		{
			Calc.degMode = !Calc.degMode;
			DisplayDegMode();
		}

		private void buttonDiagOn_Click(object sender, System.EventArgs e)
		// toggle Diagnostic display mode Off/Time/Diag/Debug
		{
				 if (!MultiID.timeIt) MultiID.timeIt = true;
			else if (!MultiID.diagOn) MultiID.diagOn = true;
			else if (!MultiID.debug)  MultiID.debug  = true;
			else
			{
				MultiID.debug  = false;
				MultiID.diagOn = false;
				MultiID.timeIt = false;
			}
			DisplayDiagOn();
		}

		private void buttonExit_Click(object sender, System.EventArgs e)
		// exit Configuration form
		{
			Common.configUp = false;
			Dispose(true);
		}

		private void buttonFMC_Click(object sender, System.EventArgs e)
		// set current number of digits in a number
		{
			buttonFMC_Click();
		}

		private void buttonFMC_Click()
		// set current number of digits in a number
		{
			double Db;
			int saveFMC;
			saveFMC = Calc.fMC;
			if (textBoxFMC.Text == "")
				textBoxFMC.Text = (Calc.fMC * MultiID.muDMax).ToString(); // if` "", set to current
			Db = Convert.ToDouble(textBoxFMC.Text);
			Db = 1 + Math.Floor((Db - 1) / MultiID.muDMax);
			Calc.fMC = (int)Db;
			XPCalLst.CheckNMax();
			if (Calc.fMC < saveFMC) Calc.ListSetM();
			if (Calc.fMC > saveFMC) XPCalLst.YankCon();
			DisplayFMC();
			DisplayFTn();
			textBoxFMC.Text = (Calc.fMC * MultiID.muDMax).ToString();
			textBoxFMC.Focus();
			textBoxFMC.SelectionStart = textBoxFMC.Text.Length;
		}

		private void buttonForceFHT_Click(object sender, System.EventArgs e)
		{
			MultiID.forceFHT = !MultiID.forceFHT;
			if (MultiID.forceFHT) MultiID.allowFHT = true;
			DisplayAllowFHT();
			DisplayForceFHT();
		}

		private void buttonFRound_Click(object sender, System.EventArgs e)
		{
			if (MultiFD.fRound == 0)
				MultiFD.fRound = MultiID.baseM / 2;
			else
				MultiFD.fRound = 0;
			DisplayFRound();
		}

		private void buttonFTn_Click(object sender, System.EventArgs e)
		{
			buttonFTn_Click();
		}

		private void buttonFTn_Click()
		{
			double Db;
			if (textBoxFTn.Text == "")
				textBoxFTn.Text = (MultiFD.fTn * MultiID.muDMax).ToString(); // if "" set to current
			Db = Convert.ToDouble(textBoxFTn.Text);
			Db = 1 + Math.Floor((Db - 1) / MultiID.muDMax);
			MultiFD.fTn = (int)Db;
			XPCalLst.CheckNMax();
			DisplayFTn();
			textBoxFTn.Text = (MultiFD.fTn * MultiID.muDMax).ToString();
			textBoxFTn.Focus();
			textBoxFTn.SelectionStart = textBoxFTn.Text.Length; // move to right end of input
		}

		private void buttonLog_Click(object sender, System.EventArgs e)
		// toggle Logging of output screen to Log File
		{
			Common.ToggleLogg();
			DisplayLog();
			buttonLog.Focus();
		}

		private void buttonMaxDis_Click(object sender, System.EventArgs e)
		// change Max digits in display
		{
			buttonMaxDis_Click();
		}

		private void buttonMaxDis_Click()
		// change Max digits in display
		{
			int iL;
			if (textBoxMaxDis.Text == "")
				textBoxMaxDis.Text = MultiID.maxDis.ToString(); // if "", set to current
			iL = Convert.ToInt32(textBoxMaxDis.Text);
			if (iL < 14) iL = 14;
			if (iL > Common.nMax * MultiID.muDMax)
				iL = Common.nMax * MultiID.muDMax;
			MultiID.maxDis = iL;
			DisplayMaxDis();
			textBoxMaxDis.Text = MultiID.maxDis.ToString();
			textBoxMaxDis.Focus();
			textBoxMaxDis.SelectionStart = textBoxMaxDis.Text.Length;
		}

		private void buttonMMax_Click(object sender, System.EventArgs e)
		// change Max decimal digits allowed
		{
			buttonMMax_Click();
		}

		private void buttonMMax_Click()
		// change Max decimal digits allowed
		{
			double db;
			if (textBoxMMax.Text == "")		// if "", set to current
				textBoxMMax.Text = (MultiID.mMax * MultiID.muDMax).ToString();
			db = Convert.ToDouble(textBoxMMax.Text);
			db = 1 + Math.Floor((db - 1) / MultiID.muDMax);
			MultiID.mMax = (int)db;
			XPCalLst.CheckNMax();
			DisplayMMax();
			DisplayFMC();
			DisplayFTn();
			textBoxMMax.Text = (MultiID.mMax * MultiID.muDMax).ToString();
			textBoxMMax.Focus();
			textBoxMMax.SelectionStart = textBoxMMax.Text.Length;
		}

		private void buttonMuDpG_Click(object sender, System.EventArgs e)
		// change digits per group in display
		{
			buttonMuDpG_Click();
		}

		private void buttonMuDpG_Click()
		// change digits per group in display
		{
			int iL;
			if (textBoxMuDpG.Text == "") // if "", set to current
				textBoxMuDpG.Text = MultiID.muDpG.ToString();
			iL = Convert.ToInt32(textBoxMuDpG.Text);
			if (iL < 0) iL = 0;
			if (iL > Common.nMax * MultiID.muDMax)
				iL = Common.nMax * MultiID.muDMax;
			MultiID.muDpG = iL;
			DisplayMuDpG();
			textBoxMuDpG.Text = MultiID.muDpG.ToString();
			textBoxMuDpG.Focus();
			textBoxMuDpG.SelectionStart = textBoxMuDpG.Text.Length;
		}

		private void buttonPri_Click(object sender, System.EventArgs e)
		{
			buttonPri_Click();
		}

		private void buttonPri_Click()
		{
			int iL;
			if (textBoxPri.Text == "") // if "", set to current
				textBoxPri.Text = Common.pri.ToString();
			iL = Convert.ToInt32(textBoxPri.Text);
			Common.SetPriority(iL);
			textBoxPri.Text = Common.pri.ToString();
			DisplayPri();
			textBoxPri.Focus();
			textBoxPri.SelectionStart = textBoxPri.Text.Length;
		}

		private void buttonQuiet_Click(object sender, System.EventArgs e)
		// toggle quiet mode on/off
		{
			Common.quiet = !Common.quiet;
			DisplayQuiet();
		}

		private void buttonRestoreConfig_Click(object sender, System.EventArgs e)
		// restore configeration, same as < command
		{
			Common.DoubleSpace();
			Common.running = true;
			buttonRestoreConfig.Enabled = false;
			buttonSaveConfig.Enabled = false;
			Calc.CalReadConfig();
			DisplayFMB();
			buttonRestoreConfig.Enabled = true;
			buttonSaveConfig.Enabled = true;
			Common.running = false;
			RunForm.FocusBothUs();
			buttonRestoreConfig.Focus();
		}

		private void buttonSaveConfig_Click(object sender, System.EventArgs e)
		// save configuration, same as > command
		{
			Common.DoubleSpace();
			if (Common.running) return;
			Common.running = true;
			buttonRestoreConfig.Enabled = false;
			buttonSaveConfig.Enabled = false;
			DisplayFMB();
			Calc.CalWriteConfig();
			buttonRestoreConfig.Enabled = true;
			buttonSaveConfig.Enabled = true;
			Common.running = false;
			RunForm.FocusBothUs();
			buttonSaveConfig.Focus();
		}

		private void buttonSaveTop_Click(object sender, System.EventArgs e)
		// toggle the SaveTop option
		{
			Common.saveTop = !Common.saveTop;
			DisplaySaveTop();
		}

		private void buttonScieN_Click(object sender, System.EventArgs e)
		{
			MultiFD.scieN = !MultiFD.scieN;
			DisplayScieN();
		}

		private void buttonSelectFile_Click(object sender, System.EventArgs e)
		// bring up openFileDialog
		{
			string st = Environment.CurrentDirectory.ToString();
			openFileDialogConfig.Reset();	// Reset needed to be able to change InitialDirectory
			openFileDialogConfig.InitialDirectory = st;
			openFileDialogConfig.Filter = "XPCalc files (*.XP?)|*.XP?|txt files (*.txt)|*.txt|All files(*.*)|*.*";
			openFileDialogConfig.FilterIndex = Common.selectFilter;
			openFileDialogConfig.RestoreDirectory = false;
			openFileDialogConfig.Title = Global.title + " - Select a file";
			if(openFileDialogConfig.ShowDialog() == DialogResult.OK)
			{
				st = openFileDialogConfig.FileName.ToString();
 				int i = st.LastIndexOf(@"\");					// seperate selected path and file strings
				Common.selectPath = st.Substring(0, i);
				Common.selectFile = st.Substring(i+1);
				Directory.SetCurrentDirectory(Common.selectPath);
				labelSelectedFile.Text = "Selected file: " + Common.selectFile;
			}
			Common.selectFilter = openFileDialogConfig.FilterIndex;
			GetFileNames();
		}

		private void buttonXPCIn_Click(object sender, System.EventArgs e)
		// change name of calculator code file
		{
			buttonXPCIn_Click();
		}

		private void buttonXPCIn_Click()
		// change name of calculator code file
		{
			Common.DoubleSpace();
			string st = textBoxXPCIn.Text;
			if (st != "")
			{
				Common.FixFName(ref st, "XPC");
				textBoxXPCIn.Text = st;
				st = "\"" + st;
				XPCalLst.CalFileNm("XPCIn", ref st, ref Calc.xPCIn);
			}
			else
			{
				if (Common.selectFile == "") // remove "XPCIn:" from XPCIn: xxx..."
				{
					if (Calc.xPCIn != 0) textBoxXPCIn.Text = Common.nList[Calc.xPCIn].Nm.Substring(6);
				}
				else
				{
					textBoxXPCIn.Text = Common.selectFile;
				}
			}
			DisplayXPCIn();
			RunForm.FocusBothUs();
			textBoxXPCIn.Focus();
			textBoxXPCIn.SelectionStart = textBoxXPCIn.Text.Length;
		}

		private void buttonXPLOut_Click(object sender, System.EventArgs e)
		// change name of output log file
		{
			buttonXPLOut_Click();
		}

		private void buttonXPLOut_Click()
		// change name of output log file
		{
			Common.DoubleSpace();
			string st = textBoxXPLOut.Text;
			if (st != "")
			{
				Common.FixFName(ref st, "XPL");
				textBoxXPLOut.Text = st;
				st = "\"" + st;
				XPCalLst.CalFileNm("XPLOut", ref st, ref Calc.xPLOut);
			}
			else
			{
				if (Common.selectFile == "")
				{
					if (Calc.xPLOut != 0) textBoxXPLOut.Text = Common.nList[Calc.xPLOut].Nm.Substring(7);
				}
				else
				{
					textBoxXPLOut.Text = Common.selectFile;
				}
			}
			DisplayXPLOut();
			RunForm.FocusBothUs();
			textBoxXPLOut.Focus();
			textBoxXPLOut.SelectionStart = textBoxXPLOut.Text.Length;
		}

		private void buttonXPNIn_Click(object sender, System.EventArgs e)
		// change name of input number file
		{
			buttonXPNIn_Click();
		}

		private void buttonXPNIn_Click()
		// change name of input number file
		{
			Common.DoubleSpace();
			string st = textBoxXPNIn.Text;
			if (st != "")
			{
				Common.FixFName(ref st, "XPN");
				textBoxXPNIn.Text = st;
				st = "\"" + st;
				XPCalLst.CalFileNm("XPNIn", ref st, ref Calc.xPNIn);
			}
			else
			{
				if (Common.selectFile == "")
				{
					if (Calc.xPNIn != 0) textBoxXPNIn.Text = Common.nList[Calc.xPNIn].Nm.Substring(6);
				}
				else
				{
					textBoxXPNIn.Text = Common.selectFile;
				}
			}
			DisplayXPNIn();
			RunForm.FocusBothUs();
			textBoxXPNIn.Focus();
			textBoxXPNIn.SelectionStart = textBoxXPNIn.Text.Length;
		}

		private void buttonXPNOut_Click(object sender, System.EventArgs e)
		// change name of output number file
		{
			buttonXPNOut_Click();
		}

		private void buttonXPNOut_Click()
		// change name of output number file
		{
			Common.DoubleSpace();
			string st = textBoxXPNOut.Text;
			if (st != "")
			{
				Common.FixFName(ref st, "XPN");
				textBoxXPNOut.Text = st;
				st = "\"" + st;
				XPCalLst.CalFileNm("XPNOut", ref st, ref Calc.xPNOut);
			}
			else
			{
				if (Common.selectFile == "")
				{
					if (Calc.xPNOut != 0) textBoxXPNOut.Text = Common.nList[Calc.xPNOut].Nm.Substring(7);
				}
				else
				{
					textBoxXPNOut.Text = Common.selectFile;
				}
			}
			DisplayXPNOut();
			RunForm.FocusBothUs();
			textBoxXPNOut.Focus();
			textBoxXPNOut.SelectionStart = textBoxXPNOut.Text.Length;
		}

		private void DisplayAllowFHT() // display AllowFHT mode: On/Off
		{
			if (MultiID.allowFHT)
				buttonAllowFHT.Text = "On";
			else
				buttonAllowFHT.Text = "Off";
		}

		private void DisplayAutoD() // display AutoDisplay mode: On/Off
		{
			if (Common.autoD)
				buttonAutoD.Text = "Is On";
			else
				buttonAutoD.Text = "Is Off";
		}

		private void DisplayBaseI() // display Input base
		{
			string maxD;
			string stB = MultiID.baseI.ToString();
			if (MultiID.baseI < 10) stB = " " + stB;
			maxD = MultiID.MaxDig(MultiID.baseI);
			labelBaseI.Text = "Input base = " + stB + " (max digit = " + maxD + ")";
		}

		private void DisplayBaseO() // display Output base
		{
			string maxD;
			string stB = MultiID.baseO.ToString();
			if (MultiID.baseO < 10) stB = " " + stB;
			maxD = MultiID.MaxDig(MultiID.baseO);
			labelBaseO.Text = "Output base = " + stB + " (max digit = " + maxD + ")";
		}

		private void DisplayDegMode() // display Degree mode: On/Off
		{
			if (Calc.degMode)
				buttonDegMode.Text = "Is On";
			else
				buttonDegMode.Text = "Is Off";
		}

		private void DisplayDiagOn() // display Diagnostic mode: On/Off
		{
			if (MultiID.debug)
				buttonDiagOn.Text = "Debug";
			else if (MultiID.diagOn)
				buttonDiagOn.Text = "Diag";
			else if (MultiID.timeIt)
				buttonDiagOn.Text = "Time";
			else
				buttonDiagOn.Text = "Is Off";
		}

		private void DisplayForceFHT() // display ForceFHT mode: On/Off
		{
			if (MultiID.forceFHT)
				buttonForceFHT.Text = "On";
			else
				buttonForceFHT.Text = "Off";
		}

		private void DisplayFMB() // display modulo base "FMB" from named list
		{
			int fMBI;
			Common.LFind("FMB", out fMBI);
			if (fMBI == 0)
				richTextBoxFMB.Text = "<Not set, use % to set it.>";
			else
			{
				int tot = 0;
				richTextBoxFMB.Text = "";
				Calc.WriteNV(richTextBoxFMB, null, Common.nList[fMBI], ref tot, 54);
			}
		}

		private void DisplayFMC() // display digits in mantissa
		{
			labelFMC.Text = "Decimal digits in mantissa = " + Calc.fMC * MultiID.muDMax;
		}

		private void DisplayFRound() // display AutoDisplay mode: On/Off
		{
			if (MultiFD.fRound == 0)
				buttonFRound.Text = "Is Off";
			else
				buttonFRound.Text = "Is On";
		}

		private void DisplayFTn() // display digits to truncate
		{
			labelFTn.Text = "Digits to truncate in display = " + MultiFD.fTn * MultiID.muDMax;
		}

		private void DisplayLog() // display Log to file mode: On/Off
		{
			if (MultiID.logg)
				buttonLog.Text = "Is On";
			else
				buttonLog.Text = "Is Off";
		}

		private void DisplayLogName() // display name of open log file
		{
			if (MultiID.logg)
				labelLogName.Text = "To log file: " + Common.logFile;
			else
				labelLogName.Text = "";
		}

		private void DisplayMaxDis() // display Max digits in display
		{
			labelMaxDis.Text = "Max digits in display = " + MultiID.maxDis;
		}

		private void DisplayMMax() // display Max decimal digits allowed
		{
			labelMMax.Text = "Max decimal digits allowed = " + MultiID.mMax * MultiID.muDMax;
		}

		private void DisplayMuDpG() // display Digits per group
		{
			labelMuDpG.Text = "Digits per group in display = " + MultiID.muDpG;
		}

		private void DisplayPri() // display execution priority
		{
			labelPri.Text = "Execution Priority [-2, 2] = " + Common.pri;
		}

		private void DisplayQuiet() // display quiet mode: On/Off
		{
			if (Common.quiet)
				buttonQuiet.Text = "Is On";
			else
				buttonQuiet.Text = "Is Off";
		}

		private void DisplaySaveTop() // display Save LastTop mode: On/Off
		{
			if (Common.saveTop)
				buttonSaveTop.Text = "Is On";
			else
				buttonSaveTop.Text = "Is Off";
		}

		private void DisplayScieN() // display Scientific Notation mode: On/Off
		{
			if (MultiFD.scieN)
				buttonScieN.Text = "Is On";
			else
				buttonScieN.Text = "Is Off";
		}

		private void DisplayXPCIn() // display name of Calculator code file
		{
			string st = Common.nList[Calc.xPCIn].Nm;
			if (st == "") st = "XPCIn: <Not set>";
			labelXPCIn.Text = "Calculator code file " + st;
		}

		private void DisplayXPLOut() // display name of Output Log file
		{
			string st = Common.nList[Calc.xPLOut].Nm;
			if (st == "") st = "XPLOut: <Not set>";
			labelXPLOut.Text = "Output log file " + st;
		}

		private void DisplayXPNIn() // display name of input number file
		{
			string st = Common.nList[Calc.xPNIn].Nm;
			if (st == "") st = "XPNIn: <Not set>";
			labelXPNIn.Text = "Input number file " + st;
		}

		private void DisplayXPNOut() // display name of output number file
		{
			string st = Common.nList[Calc.xPNOut].Nm;
			if (st == "") st = "XPNOut: <Not set>";
			labelXPNOut.Text = "Output number file " + st;
		}

		private void listBoxFile_SelectedIndexChanged(object sender, System.EventArgs e)
		// save the selected file name
		{
			int i = listBoxFile.SelectedIndex;
			Common.selectFile = listBoxFile.Items[i].ToString();
		}

		private void textBoxBaseI_KeyDown(object sender, KeyEventArgs e)
		// process keys when in baseI box
		{
			if (e.KeyCode == Keys.Return) // return is an accept key here
			{
				// this sounds the bell
				if (buttonBaseI.Enabled) buttonBaseI_Click();
			}
		}

		private void textBoxBaseI_TextChanged(object sender, System.EventArgs e)
		// process input of Max decimal digits allowed
		{
			string sNum;
			int iNum;
			int n;
			if (Common.running) return; // don't allow a change when Calc is running
			textBoxBaseI.Text = textBoxBaseI.Text.TrimStart(' '); // remove leading spaces
			if (textBoxBaseI.Text == "")
			{
				buttonBaseI.Enabled = true;
				return;
			}
			sNum = textBoxBaseI.Text;
			if (Global.IsInt32(sNum))
			{
				iNum = Convert.ToInt32(sNum);
				buttonBaseI.Enabled = (0 <= iNum); // and iNum <= 36
			}
			else
			{
				buttonBaseI.Enabled = false;
			}
			n = sNum.Length;
			if (n > 0)
			{
				if (sNum[n-1] == ' ') // if space at right end of field
				{
					textBoxBaseI.Text = textBoxBaseI.Text.Trim(' ');		// remove trailing spaces
					textBoxBaseI.SelectionStart = textBoxBaseI.Text.Length; // move to right end of input
					if (buttonBaseI.Enabled) buttonBaseI_Click();			// accept the input
				}
			}
		}

		private void textBoxBaseO_KeyDown(object sender, KeyEventArgs e)
		// process keys when in baseO box
		{
			if (e.KeyCode == Keys.Return) // return is an accept key here
			{
				// this sounds the bell
				if (buttonBaseO.Enabled) buttonBaseO_Click();
			}
		}

		private void textBoxBaseO_TextChanged(object sender, System.EventArgs e)
		// process input of Max decimal digits allowed
		{
			string sNum;
			int iNum;
			int n;
			if (Common.running) return; // don't allow a change when Calc is running
			textBoxBaseO.Text = textBoxBaseO.Text.TrimStart(' '); // remove leading spaces
			if (textBoxBaseO.Text == "")
			{
				buttonBaseO.Enabled = true;
				return;
			}
			sNum = textBoxBaseO.Text;
			if (Global.IsInt32(sNum))
			{
				iNum = Convert.ToInt32(sNum);
				buttonBaseO.Enabled = (0 <= iNum); // and iNum <= 36
			}
			else
			{
				buttonBaseO.Enabled = false;
			}
			n = sNum.Length;
			if (n > 0)
			{
				if (sNum[n-1] == ' ') // if space at right end of field
				{
					textBoxBaseO.Text = textBoxBaseO.Text.Trim(' ');		// remove trailing spaces
					textBoxBaseO.SelectionStart = textBoxBaseO.Text.Length; // move to right end of input
					if (buttonBaseO.Enabled) buttonBaseO_Click();			// accept the input
				}
			}
		}

		private void textBoxFMC_KeyDown(object sender, KeyEventArgs e)
		// process keys when in FMC box
		{
			if (e.KeyCode == Keys.Return) // return is an accept key here
			{
				// this sounds the bell
				if (buttonFMC.Enabled) buttonFMC_Click();
			}
		}

		private void textBoxFMC_TextChanged(object sender, System.EventArgs e)
		{
			textBoxFMC_TextChanged();
		}

		private void textBoxFMC_TextChanged()
		{
			string sNum;
			int iNum;
			int n;
			if (Common.running) return; // don't allow a change when Calc is running
			textBoxFMC.Text = textBoxFMC.Text.TrimStart(' '); // remove leading spaces
			if (textBoxFMC.Text == "")
			{
				buttonFMC.Enabled = true;
				return;
			}
			sNum = textBoxFMC.Text;
			if (Global.IsInt32(sNum))
			{
				iNum = Convert.ToInt32(sNum);
				buttonFMC.Enabled = (0 <= iNum); // and iNum <= NMax * MultiID.muDMax)
			}
			else
				buttonFMC.Enabled = false;
			n = sNum.Length;
			if (n > 0)
			{
				if (sNum[n-1] == ' ') // if space at right end of field
				{
					textBoxFMC.Text = textBoxFMC.Text.Trim(' '); // remove trailing spaces
					textBoxFMC.SelectionStart = textBoxFMC.Text.Length; // move to right end of input
					if (buttonFMC.Enabled) buttonFMC_Click(); // accept the input
				}
			}
		}

		private void textBoxFTn_KeyDown(object sender, KeyEventArgs e)
		// process keys when in FTn box
		{
			if (e.KeyCode == Keys.Return) // return is an accept key here
			{
				// this sounds the bell
				if (buttonFTn.Enabled) buttonFTn_Click();
			}
		}

		private void textBoxFTn_TextChanged(object sender, System.EventArgs e)
		{
			textBoxFTn_TextChanged();
		}

		private void textBoxFTn_TextChanged()
		{
			string sNum;
			int iNum;
			int n;
			textBoxFTn.Text = textBoxFTn.Text.TrimStart(' '); // remove leading spaces
			if (textBoxFTn.Text == "")
			{
				buttonFTn.Enabled = true;
				return;
			}
			sNum = textBoxFTn.Text;
			if (Global.IsInt32(sNum))
			{
				iNum = Convert.ToInt32(sNum);
				buttonFTn.Enabled = (0 <= iNum);
			}
			else
				buttonFTn.Enabled = false;
			n = sNum.Length;
			if (n > 0)
			{
				if (sNum[n-1] == ' ')							// if space at right end of field
				{
					textBoxFTn.Text = textBoxFTn.Text.Trim(' ');		// remove trailing spaces
					textBoxFTn.SelectionStart = textBoxFTn.Text.Length; // move to right end of input
					if (buttonFTn.Enabled) buttonFTn_Click();			// accept the input
				}
			}
		}

		private void textBoxMaxDis_KeyDown(object sender, KeyEventArgs e)
		// process keys when in maxDis box
		{
			if (e.KeyCode == Keys.Return) // return is an accept key here
			{
				// this sounds the bell
				if (buttonMaxDis.Enabled) buttonMaxDis_Click();
			}
		}

		private void textBoxMaxDis_TextChanged(object sender, System.EventArgs e)
		// process input of Max digits in display
		{
			string sNum;
			int iNum;
			int n;
			textBoxMaxDis.Text = textBoxMaxDis.Text.TrimStart(' '); // remove leading spaces
			if (textBoxMaxDis.Text == "")
			{
				buttonMaxDis.Enabled = true;
				return;
			}
			sNum = textBoxMaxDis.Text;
			if (Global.IsInt32(sNum))
			{
				iNum = Convert.ToInt32(sNum);
				buttonMaxDis.Enabled = (0 <= iNum);
			}
			else
			{
				buttonMaxDis.Enabled = false;
			}
			n = sNum.Length;
			if (n > 0)
			{
				if (sNum[n-1] == ' ') // if space at right end of field
				{
					textBoxMaxDis.Text = textBoxMaxDis.Text.Trim(' ');			// remove trailing spaces
					textBoxMaxDis.SelectionStart = textBoxMaxDis.Text.Length;	// move to right end of input
					if (buttonMaxDis.Enabled) buttonMaxDis_Click();				// accept the input
				}
			}
		}

		private void textBoxMMax_KeyDown(object sender, KeyEventArgs e)
		// process keys when in mMax box
		{
			if (e.KeyCode == Keys.Return) // return is an accept key here
			{
				// this sounds the bell
				if (buttonMMax.Enabled) buttonMMax_Click();
			}
			if (e.KeyCode == Keys.Escape) // ESC key pressed so exit ConfigForm
			{
				Common.configUp = false;
				Dispose(true);
			}
		}

		private void textBoxMMax_TextChanged(object sender, System.EventArgs e)
		// process input of Max decimal digits allowed
		{
			textBoxMMax_TextChanged();
		}

		private void textBoxMMax_TextChanged()
		// process input of Max decimal digits allowed
		{
			string sNum;
			int iNum;
			int n;
			if (Common.running) return;	// don't allow a change when Calc is running
			textBoxMMax.Text = textBoxMMax.Text.TrimStart(' ');	// remove leading spaces
			if (textBoxMMax.Text == "")
			{
				buttonMMax.Enabled = true;
				return;
			}
			sNum = textBoxMMax.Text;
			if (Global.IsInt32(sNum))
			{
				iNum = Convert.ToInt32(sNum);
				buttonMMax.Enabled = (0 <= iNum); // and iNum <= nMax * MultiID.muDMax)
			}
			else
			{
				buttonMMax.Enabled = false;
			}
			n = sNum.Length;
			if (n > 0)
			{
				if (sNum[n-1] == ' ') // if space at right end of field
				{
					textBoxMMax.Text = textBoxMMax.Text.Trim(' ');			// remove trailing spaces
					textBoxMMax.SelectionStart = textBoxMMax.Text.Length;	// move to right end of input
					if (buttonMMax.Enabled) buttonMMax_Click();				// accept the input
				}
			}
		}

		private void textBoxMuDpG_KeyDown(object sender, KeyEventArgs e)
		// process keys when in muDpG box
		{
			if (e.KeyCode == Keys.Return) // return is an accept key here
			{
				// this sounds the bell
				if (buttonMuDpG.Enabled) buttonMuDpG_Click();
			}
		}

		private void textBoxMuDpG_TextChanged(object sender, System.EventArgs e)
		// process input of digits per group in display
		{
			string sNum;
			int iNum;
			int n;
			textBoxMuDpG.Text = textBoxMuDpG.Text.TrimStart(' '); // remove leading spaces
			if (textBoxMuDpG.Text == "")
			{
				buttonMuDpG.Enabled = true;
				return;
			}
			sNum = textBoxMuDpG.Text;
			if (Global.IsInt32(sNum))
			{
				iNum = Convert.ToInt32(sNum);
				buttonMuDpG.Enabled = (0 <= iNum);
			}
			else
			{
				buttonMuDpG.Enabled = false;
			}
			n = sNum.Length;
			if (n > 0)
			{
				if (sNum[n-1] == ' ') // if space at right end of field
				{
					textBoxMuDpG.Text = textBoxMuDpG.Text.Trim(' ');		// remove trailing spaces
					textBoxMuDpG.SelectionStart = textBoxMuDpG.Text.Length; // move to right end of input
					if (buttonMuDpG.Enabled) buttonMuDpG_Click();			// accept the input
				}
			}
		}

		private void textBoxPri_KeyDown(object sender, KeyEventArgs e)
		// process keys when in Pri box
		{
			if (e.KeyCode == Keys.Return) // return is an accept key here
			{
				// this sounds the bell
				if (buttonPri.Enabled) buttonPri_Click();
			}
		}

		private void textBoxPri_TextChanged(object sender, System.EventArgs e)
		// process input of Execution Priority
		{
			textBoxPri_TextChanged();
		}

		private void textBoxPri_TextChanged()
		// process input of Execution Priority
		{
			string sNum;
			int iNum;
			int n;
			// allow a change when Calc is running
			textBoxPri.Text = textBoxPri.Text.TrimStart(' '); // remove leading spaces
			if (textBoxPri.Text == "")
			{
				buttonPri.Enabled = true;
				return;
			}
			sNum = textBoxPri.Text;
			if (Global.IsInt32(sNum))
			{
				buttonPri.Enabled = true;
				iNum = Convert.ToInt32(sNum);
			}
			else
				buttonPri.Enabled = false;
			n = sNum.Length;
			if (n > 0)
			{
				if (sNum[n-1] == ' ') // if space at right end of field
				{
					textBoxPri.Text = textBoxPri.Text.Trim(' ');		// remove trailing spaces
					textBoxPri.SelectionStart = textBoxPri.Text.Length; // move to right end of input
					if (buttonPri.Enabled) buttonPri_Click();			// accept the input
				}
			}
		}

		private void textBoxXPCIn_KeyDown(object sender, KeyEventArgs e)
		// process keys when in XPCIn box
		{
			if (e.KeyCode == Keys.Return) // return is an accept key here
			{
				// this sounds the bell
				if (buttonXPCIn.Enabled) buttonXPCIn_Click();
			}
		}

		private void textBoxXPCIn_TextChanged(object sender, System.EventArgs e)
		// process input of name of calculator code file
		{
			int n;
			string st;
			if (Common.running) return; // don't allow a change when Calc is running
			textBoxXPCIn.Text = textBoxXPCIn.Text.TrimStart(' '); // remove leading spaces
			st = textBoxXPCIn.Text;
			n = st.Length;
			if (n == 0)
			{
				buttonXPCIn.Enabled = true;
				return;
			}
			if (st[n-1] == ' ') // if space at right end of field
			{
				textBoxXPCIn.Text = textBoxXPCIn.Text.Trim(' ');		// remove trailing spaces
				textBoxXPCIn.SelectionStart = textBoxXPCIn.Text.Length; // move to right end of input
				if (buttonXPCIn.Enabled) buttonXPCIn_Click();			// accept the input
			}
		}

		private void textBoxXPLOut_KeyDown(object sender, KeyEventArgs e)
		// process keys when in XPLOut box
		{
			if (e.KeyCode == Keys.Return) // return is an accept key here
			{
				// this sounds the bell
				if (buttonXPLOut.Enabled) buttonXPLOut_Click();
			}
		}

		private void textBoxXPLOut_TextChanged(object sender, System.EventArgs e)
		// process input of name of output log file
		{
			int n;
			string st;
			if (Common.running) return; // don't allow a change when Calc is running
			textBoxXPLOut.Text = textBoxXPLOut.Text.TrimStart(' '); // remove leading spaces
			st = textBoxXPLOut.Text;
			n = st.Length;
			if (n == 0)
			{
				buttonXPLOut.Enabled = true;
				return;
			}
			if (st[n-1] == ' ') // if space at right end of field
			{
				textBoxXPLOut.Text = textBoxXPLOut.Text.Trim(' ');			// remove trailing spaces
				textBoxXPLOut.SelectionStart = textBoxXPLOut.Text.Length;	// move to right end of input
				if (buttonXPLOut.Enabled) buttonXPLOut_Click();				// accept the input
			}
		}

		private void textBoxXPNIn_KeyDown(object sender, KeyEventArgs e)
		// process keys when in XPNIn box
		{
			if (e.KeyCode == Keys.Return) // return is an accept key here
			{
				// this sounds the bell
				if (buttonXPNIn.Enabled) buttonXPNIn_Click();
			}
		}

		private void textBoxXPNIn_TextChanged(object sender, System.EventArgs e)
		// process input of name of input number file
		{
			int n;
			string st;
			if (Common.running) return; // don't allow a change when Calc is running
			textBoxXPNIn.Text = textBoxXPNIn.Text.TrimStart(' '); // remove leading spaces
			st = textBoxXPNIn.Text;
			n = st.Length;
			if (n == 0)
			{
				buttonXPNIn.Enabled = true;
				return;
			}
			if (st[n-1] == ' ') // if space at right end of field
			{
				textBoxXPNIn.Text = textBoxXPNIn.Text.Trim(' ');		// remove trailing spaces
				textBoxXPNIn.SelectionStart = textBoxXPNIn.Text.Length; // move to right end of input
				if (buttonXPNIn.Enabled) buttonXPNIn_Click();			// accept the input
			}
		}

		private void textBoxXPNOut_KeyDown(object sender, KeyEventArgs e)
		// process keys when in XPNOut box
		{
			if (e.KeyCode == Keys.Return) // return is an accept key here
			{
				// this sounds the bell
				if (buttonXPNOut.Enabled) buttonXPNOut_Click();
			}
		}

		private void textBoxXPNOut_TextChanged(object sender, System.EventArgs e)
		// process input of name of output number file
		{
			int n;
			string st;
			if (Common.running) return; // don't allow a change when Calc is running
			textBoxXPNOut.Text = textBoxXPNOut.Text.TrimStart(' '); // remove leading spaces
			st = textBoxXPNOut.Text;
			n = st.Length;
			if (n == 0)
			{
				buttonXPNOut.Enabled = true;
				return;
			}
			if (st[n-1] == ' ') // if space at right end of field
			{
				textBoxXPNOut.Text = textBoxXPNOut.Text.Trim(' ');			// remove trailing spaces
				textBoxXPNOut.SelectionStart = textBoxXPNOut.Text.Length;	// move to right end of input
				if (buttonXPNOut.Enabled) buttonXPNOut_Click();				// accept the input
			}
		}

		private void timerConfig_Tick(object sender, System.EventArgs e)
		// update display of changeable items
		{
			if (!Global.runFormUp)
			{
				Common.configUp = false;
				Dispose(true);
				return;
			}
			timerConfig_Tick();
		}

		private void timerConfig_Tick()	// update display of changeable items
		{
			labelSelectedFile.Text = "Selected file: " + Common.selectFile;
			labelFilePath.Text = "File path: " + Environment.CurrentDirectory.ToString();
			DisplayAllowFHT();
			DisplayAutoD();
			DisplayBaseI();
			DisplayBaseO();
			DisplayDegMode();
			DisplayDiagOn();
			DisplayFMB();
			DisplayFMC();
			DisplayForceFHT();
			DisplayFRound();
			DisplayFTn();
			DisplayLog();
			DisplayLogName();
			DisplayMaxDis();
			DisplayMMax();
			DisplayMuDpG();
			DisplayPri();
			DisplayQuiet();
			DisplaySaveTop();
			DisplayScieN();
			DisplayXPCIn();
			DisplayXPLOut();
			DisplayXPNIn();
			DisplayXPNOut();
			if (Common.running)
			{
				buttonChangeDir.Enabled = false;
				buttonFMC.Enabled = false;
				buttonMMax.Enabled = false;
				buttonRestoreConfig.Enabled = false;
				buttonSaveConfig.Enabled = false;
				buttonXPCIn.Enabled = false;
				buttonXPLOut.Enabled = false;
				buttonXPNIn.Enabled = false;
				buttonXPNOut.Enabled = false;
			}
			else
			{
				buttonChangeDir.Enabled = true;
				buttonRestoreConfig.Enabled = true;
				buttonSaveConfig.Enabled = true;
				buttonXPCIn.Enabled = true;
				buttonXPLOut.Enabled = true;
				buttonXPNIn.Enabled = true;
				buttonXPNOut.Enabled = true;
				textBoxFMC_TextChanged();
				textBoxMMax_TextChanged();
			}
		} // timerConfig_Tick

		private void ConfigForm_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		// exit Configuration form
		{
			Common.configUp = false;
		}
	}
}
